Bug 439773 - Seamonkey/Mozilla doesn't start and then gives Segmantation fault
Seamonkey/Mozilla doesn't start and then gives Segmantation fault
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: seamonkey (Show other bugs)
i386 Linux
low Severity high
: rc
: ---
Assigned To: Jonathan Blandford
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2008-03-31 07:29 EDT by Bartosz Maruszewski
Modified: 2013-04-02 00:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sysreport result (366.98 KB, application/octet-stream)
2008-03-31 07:34 EDT, Bartosz Maruszewski
no flags Details

  None (edit)
Description Bartosz Maruszewski 2008-03-31 07:29:32 EDT
Description of problem:
When I start Seamonkey (Mozilla) by typing "mozilla" nothing happened. I was
just getting the prompt back again immediatelly. I have noticed that the
/usr/lib/seamonkey-1.0.9 directory is missing from ld.so.conf and the
mozilla-bin is reporting missing libxcompat.so library however it is on the
system. I have added this path to ld.so.conf, jave run ldconfig -v and now the
library can be found.

Now I'm getting "Segmentation fault" when I'm starting mozilla.

Version-Release number of selected component (if applicable):
seamonkey 1.0.9 r15.el4

How reproducible:

Steps to Reproduce:
1. Type in "mozilla" on the command prompt.
2.Press ENTER.
Actual results:
An error "Segmantation fault" appears.

Expected results:
Seamonkey/Mozilla starts up.

Additional info:
I am connecting remotely via SSH to the server with XForwarding on from a Fedora
workstation. Other programs which use X11 are displaying on the workstation's
display fine.
Comment 1 Bartosz Maruszewski 2008-03-31 07:31:06 EDT
Sorry. The library name was libxpcom.so not libxcompat.so.

Bartosz Maruszewski
Comment 2 Bartosz Maruszewski 2008-03-31 07:34:39 EDT
Created attachment 299709 [details]
sysreport result

I'm attaching the output from the sysreport utility.

Bartosz Maruszewski
Comment 3 Christopher Aillon 2008-03-31 15:54:08 EDT
Can you additionally attach a gdb backtrace, please?
Comment 4 Bartosz Maruszewski 2008-04-01 06:12:27 EDT
I have installed additionally the whole GNOME Desktop Environment with all
dependencies, started Mozilla/Seamonkey locally on the console and now it also
starts up when I connect remotelly. I'm puzzled...

Just courious: How do I make a "gdb backtrace"? I guess I need a core file for

Bartosz Maruszewski
Comment 5 Christopher Aillon 2008-04-01 19:46:19 EDT
First install gdb and seamonkey-debuginfo if it is not, and then run

  firefox -g

Type 'run' at the prompt to start the application and make it crash.  Entering
'bt' will provide a backtrace.
Comment 7 Jiri Pallich 2012-06-20 12:03:17 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.